Description: Added DCN (Digital China Networks) identity patch provided by Paweł Gołaszewski
Bug-Debian: https://bugs.debian.org/771894

--- mrtg-2.17.4.orig/bin/cfgmaker
+++ mrtg-2.17.4/bin/cfgmaker
@@ -175,7 +175,7 @@ sub InterfaceInfo($$$$$) {
         push @Variables,  ($1 > 11.0 or $1 < 10.0 ) ? "ifAlias" : "CiscolocIfDescr";
         if ($1 > 11.2) {push @Variables, "vmVlan";};
        if ($1 > 11.3) {push @Variables, "vlanTrunkPortDynamicStatus";};
-    } elsif ( $routers->{$router}{deviceinfo}{Vendor} =~ /(?:hp|juniper|dlink|wwp|foundry|dellLan|force10|3com|extremenetworks|openBSD|arista|enterasys|zyxel|vyatta)/i) {
+    } elsif ( $routers->{$router}{deviceinfo}{Vendor} =~ /(?:hp|juniper|dlink|wwp|foundry|dellLan|force10|3com|extremenetworks|openBSD|arista|enterasys|zyxel|vyatta|DCN)/i) {
         push @Variables, "ifAlias";
     }
 
@@ -1003,7 +1003,8 @@ sub DeviceInfo ($$$) {
             '1.3.6.1.4.1.30065.' =>      'arista',    
             '1.3.6.1.4.1.5624.' =>      'enterasys',    
             '1.3.6.1.4.1.30803.' =>      'Vyatta',    
-            '1.3.6.1.4.1.3955.' =>       'LinkSys'
+            '1.3.6.1.4.1.3955.' =>       'LinkSys',
+            '1.3.6.1.4.1.6339' =>        'DCN'
         );
         $DevInfo{Vendor} = 'Unknown Vendor - '.$DevInfo{sysObjectID};
         foreach (keys %vendorIDs) {
